%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          man2html
Version:       3.0.1
Release:       1mamba
Summary:       A Unix manpage-to-HTML converter
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/E/EH/EHOOD/man2html%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A Unix manpage-to-HTML converter.

%prep
%setup -q -n man2html%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m0755 %{buildroot}{%{_bindir},%{_mandir}/man1}
perl ./install.me \
   -batch \
   -binpath %{buildroot}%{_bindir} \
   -manpath %{buildroot}%{_mandir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/man2html
%{_mandir}/man1/man2html.1*
%doc COPYING

%changelog
* Fri Oct 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- package created using the webbuild interface
